* PACKAGE GTINTFC  !" GTOOL3 実数精度変換インターフェース(ZHPACK)
*
*"  [HIS] 96/03/11(takepiro) 自動倍精度コンパイル禁止
*
***********************************************************************
*"         << 識別記述子のパック >>
**********************************************************************
      SUBROUTINE ZHPACK
     O         ( HHEAD ,
     I           HDSET , HITEM , IFNUM , IDNUM ,
     I           HTITL , HUNIT ,
     I           ITIME , HDATE , HUTIM , ITDUR ,
     I           HAITM1, IASTR1, IAEND1,
     I           HAITM2, IASTR2, IAEND2,
     I           HAITM3, IASTR3, IAEND3,
     I           HDFMT , VMISS ,
     I           DMIN  , DMAX  , DIVS  , DIVL  , ISTYP ,
     I           HCDATE, HCSIGN                         )
*
      CHARACTER  HHEAD ( * )*(*)
*
      CHARACTER  HDSET  *(*)             !" データセット名
      CHARACTER  HITEM  *(*)             !" 識別名称
      INTEGER    IFNUM                   !" ファイル番号
      INTEGER    IDNUM                   !" データ番号
*
      CHARACTER  HTITL  *(*)             !" タイトル
      CHARACTER  HUNIT  *(*)             !" 単位
*
      INTEGER    ITIME                   !" 時刻(通し)
      CHARACTER  HDATE  *(*)             !" 時刻(yyyymmddhhmmss)
      CHARACTER  HUTIM  *(*)             !" 時刻単位
      INTEGER    ITDUR                   !" 代表する時間
*
      CHARACTER  HAITM1 *(*)             !" 軸1の格子名称
      INTEGER    IASTR1                  !" 軸1の格子始め
      INTEGER    IAEND1                  !" 軸1の格子終り
      CHARACTER  HAITM2 *(*)             !" 軸2の格子名称
      INTEGER    IASTR2                  !" 軸2の格子始め
      INTEGER    IAEND2                  !" 軸2の格子終り
      CHARACTER  HAITM3 *(*)             !" 軸3の格子名称
      INTEGER    IASTR3                  !" 軸3の格子始め
      INTEGER    IAEND3                  !" 軸3の格子終り
*
      CHARACTER  HDFMT  *(*)             !" データフォーマット
*
#ifdef AUTO_DBL
      REAL*8     VMISS                   !" 欠損値の値
*
      REAL*8     DMIN                    !" レンジ(最小)
      REAL*8     DMAX                    !" レンジ(最大)
      REAL*8     DIVS                    !" 間隔(小)
      REAL*8     DIVL                    !" 間隔(大)
#else
      REAL*4     VMISS                   !" 欠損値の値
*
      REAL*4     DMIN                    !" レンジ(最小)
      REAL*4     DMAX                    !" レンジ(最大)
      REAL*4     DIVS                    !" 間隔(小)
      REAL*4     DIVL                    !" 間隔(大)
#endif
*
      INTEGER    ISTYP                   !" スケーリングタイプ
*
      CHARACTER  HCDATE *(*)             !" データ作成日付
      CHARACTER  HCSIGN *(*)             !" データ作成者
*
*
* [INTERNAL WORK]
      REAL*4     VMISSX                  !" 欠損値の値
*
      REAL*4     DMINX                   !" レンジ(最小)
      REAL*4     DMAXX                   !" レンジ(最大)
      REAL*4     DIVSX                   !" 間隔(小)
      REAL*4     DIVLX                   !" 間隔(大)
*
      VMISSX = VMISS
      DMINX  = DMIN
      DMAXX  = DMAX
      DIVSX  = DIVS
      DIVLX  = DIVL
*
      CALL GHPACK
     O         ( HHEAD ,
     I           HDSET , HITEM , IFNUM , IDNUM ,
     I           HTITL , HUNIT ,
     I           ITIME , HDATE , HUTIM , ITDUR ,
     I           HAITM1, IASTR1, IAEND1,
     I           HAITM2, IASTR2, IAEND2,
     I           HAITM3, IASTR3, IAEND3,
     I           HDFMT , VMISSX,
     I           DMINX , DMAXX , DIVSX , DIVLX , ISTYP ,
     I           HCDATE, HCSIGN                         )
*
      RETURN
      END

